"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = transformSource;
var _getPageStaticInfo = require("../../../analysis/get-page-static-info");
var _swc = require("../../../swc");
async function transformSource(source) {
    const { resourcePath  } = this;
    const transformedSource = source;
    if (typeof transformedSource !== "string") {
        throw new Error("Expected source to have been transformed to a string.");
    }
    const swcAST = await (0, _swc).parse(transformedSource, {
        filename: resourcePath,
        isModule: "unknown"
    });
    const { ssg , ssr  } = (0, _getPageStaticInfo).checkExports(swcAST);
    const output = `
const { createProxy } = require("next/dist/build/webpack/loaders/next-flight-client-loader/module-proxy")\n
module.exports = createProxy(${JSON.stringify(resourcePath)}, { ssr: ${ssr}, ssg: ${ssg} })
`;
    return output;
}

//# sourceMappingURL=index.js.map